Bug 82280 - IndexedDB: don't expose IDBDatabaseError to script
Summary: IndexedDB: don't expose IDBDatabaseError to script
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: David Grogan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-03-26 18:13 PDT by David Grogan
Modified: 2012-03-28 18:46 PDT (History)
7 users (show)

See Also:


Attachments
Patch (7.21 KB, patch)
2012-03-26 18:17 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (15.17 KB, patch)
2012-03-27 09:00 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (151.07 KB, patch)
2012-03-27 09:44 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (155.89 KB, patch)
2012-03-27 14:15 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (155.45 KB, patch)
2012-03-27 15:41 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (155.45 KB, patch)
2012-03-27 15:46 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (135.35 KB, patch)
2012-03-28 16:56 PDT, David Grogan
no flags Details | Formatted Diff | Diff
Patch (134.99 KB, patch)
2012-03-28 17:02 PDT, David Grogan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description David Grogan 2012-03-26 18:13:26 PDT
IndexedDB: don't expose IDBDatabaseError to script
Comment 1 David Grogan 2012-03-26 18:17:03 PDT
Created attachment 133953 [details]
Patch
Comment 2 David Grogan 2012-03-26 18:18:30 PDT
Josh, this will need rebaselining of our expected files, but do you know any reason why we can't remove this?
Comment 3 Early Warning System Bot 2012-03-26 18:51:46 PDT
Comment on attachment 133953 [details]
Patch

Attachment 133953 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/12141259
Comment 4 Early Warning System Bot 2012-03-26 18:56:53 PDT
Comment on attachment 133953 [details]
Patch

Attachment 133953 [details] did not pass qt-ews (qt):
Output: http://queues.webkit.org/results/12103038
Comment 5 Build Bot 2012-03-26 19:44:46 PDT
Comment on attachment 133953 [details]
Patch

Attachment 133953 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/12147227
Comment 6 Joshua Bell 2012-03-26 20:44:26 PDT
(In reply to comment #2)
> Josh, this will need rebaselining of our expected files, but do you know any reason why we can't remove this?

We can remove it. 

(IDBDatabaseException will be going away too as part of a move to DOM4-style exceptions, but not all of the other browsers have done that yet either.)
Comment 7 David Grogan 2012-03-27 09:00:51 PDT
Created attachment 134080 [details]
Patch
Comment 8 WebKit Review Bot 2012-03-27 09:05:29 PDT
Attachment 134080 [details] did not pass style-queue:

Failed to run "['Tools/Scripts/check-webkit-style', '--diff-files', u'LayoutTests/ChangeLog', u'LayoutTests/stor..." exit_code: 1
Source/WebCore/ChangeLog:8:  You should remove the 'No new tests' and either add and list tests, or explain why no new tests were possible.  [changelog/nonewtests] [5]
Total errors found: 1 in 3 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 David Grogan 2012-03-27 09:44:26 PDT
Created attachment 134085 [details]
Patch
Comment 10 Build Bot 2012-03-27 10:13:25 PDT
Comment on attachment 134085 [details]
Patch

Attachment 134085 [details] did not pass win-ews (win):
Output: http://queues.webkit.org/results/12148520
Comment 11 David Grogan 2012-03-27 14:15:58 PDT
Created attachment 134136 [details]
Patch
Comment 12 David Grogan 2012-03-27 15:13:19 PDT
Josh, do you want to take a look before I ask Tony to review this?
Comment 13 Joshua Bell 2012-03-27 15:32:00 PDT
Comment on attachment 134136 [details]
Patch

lgtm

View in context: https://bugs.webkit.org/attachment.cgi?id=134136&action=review

> Source/WebCore/GNUmakefile.list.am:-1059
> -	Source/WebCore/Modules/indexeddb/IDBDatabaseError.h \

If we need to update more than gyp and xcode project files then I may be guilty of letting these get out of sync. :(
Comment 14 David Grogan 2012-03-27 15:41:04 PDT
Created attachment 134150 [details]
Patch
Comment 15 David Grogan 2012-03-27 15:46:07 PDT
Created attachment 134151 [details]
Patch
Comment 16 David Grogan 2012-03-27 15:50:32 PDT
Tony, could you review this?
Comment 17 Tony Chang 2012-03-27 15:59:16 PDT
Comment on attachment 134151 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=134151&action=review

> Source/WebCore/ChangeLog:10
> +        No new tests - this was an untested feature.

Nit: This isn't entirely true.  The existence of IDBDatabaseError was tested in the existing tests and now it's going away. If you wanted, you could check in a single test that IDBDatabaseError is undefined.
Comment 18 David Grogan 2012-03-28 16:56:41 PDT
Created attachment 134447 [details]
Patch
Comment 19 David Grogan 2012-03-28 17:02:02 PDT
Created attachment 134449 [details]
Patch
Comment 20 David Grogan 2012-03-28 17:09:07 PDT
(In reply to comment #17)
> (From update of attachment 134151 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=134151&action=review
> 
> > Source/WebCore/ChangeLog:10
> > +        No new tests - this was an untested feature.
> 
> Nit: This isn't entirely true.  The existence of IDBDatabaseError was tested in the existing tests and now it's going away.

Good point.

> If you wanted, you could check in a single test that IDBDatabaseError is undefined.

I added this in removed.html.
Comment 21 WebKit Review Bot 2012-03-28 18:46:28 PDT
Comment on attachment 134449 [details]
Patch

Clearing flags on attachment: 134449

Committed r112490: <http://trac.webkit.org/changeset/112490>
Comment 22 WebKit Review Bot 2012-03-28 18:46:35 PDT
All reviewed patches have been landed.  Closing bug.